Bug 209195 - [maintainer] security/softether - port update
Summary: [maintainer] security/softether - port update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-02 07:17 UTC by net
Modified: 2017-03-12 19:53 UTC (History)
3 users (show)

See Also:


Attachments
svn diff (9.79 KB, patch)
2016-05-02 07:17 UTC, net
no flags Details | Diff
Updated diff (12.88 KB, patch)
2016-05-02 18:00 UTC, net
no flags Details | Diff
Portlint compliance ensured (3.32 KB, patch)
2016-05-03 16:07 UTC, net
no flags Details | Diff
Complete port as tgz archive (6.16 KB, application/gzip)
2016-11-08 15:18 UTC, net
no flags Details
svnlite diff (24.94 KB, patch)
2017-02-25 23:12 UTC, net
no flags Details | Diff
svn diff (14.79 KB, patch)
2017-02-27 14:57 UTC, net
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description net 2016-05-02 07:17:09 UTC
Created attachment 169873 [details]
svn diff

The attached SVN diff updates the security/softether port to the newest RTM version.
Comment 1 Kurt Jaeger freebsd_committer 2016-05-02 16:25:38 UTC
Testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2016-05-02 16:38:27 UTC
I had a quick look at the softether port update.

The patch changes a few pathes to /var/db/softether/,
which I would rather put into /var/log/softether/.

Is there a reason to have eg. the SERVER_LOG_DIR_NAME
to go to /var/db/ instead of /var/log ?

Similar security_log etc ?
Comment 3 net 2016-05-02 18:00:43 UTC
Created attachment 169888 [details]
Updated diff

Hi,
attached is an updated diff that pulls in /var/log/softether and corresponding subdirs for server, packet logger etc. and solves a problem with linking the final firmware.
Comment 4 net 2016-05-03 16:07:18 UTC
Created attachment 169931 [details]
Portlint compliance ensured

Hi,
this (hopefully) final patch ensures portlint compliance.
Comment 5 Kurt Jaeger freebsd_committer 2016-05-03 19:06:52 UTC
attachment 169888 [details] has many changes to files/patch*, which are missing from attachment 169931 [details] (the newer one). And the older one had a patch that did not apply:

Patch patch-src__Mayaqua__Unix.c failed to apply cleanly.

I'm a bit short on time, otherwise I would try so put all the stuff together. Can you try to sort this out ?
Comment 6 net 2016-11-08 15:18:19 UTC
Created attachment 176792 [details]
Complete port as tgz archive

Hi,
dunno why svnlite diff won't include all changed files, though the attached tgz archive includes everything required.
Comment 7 Dave Cottlehuber freebsd_committer 2016-12-17 17:59:07 UTC
It seems there are 2 versions of this port since November 2016:

net/softethervpn          Cross-platform Multi-protocol VPN Software
security/softether        Softether VPN solution

Could we add:

    CATEGORIES= net security

And consolidate this down to just 1?

Given security/softether has been around since 2015, it would make more sense (less confusion to users) to consolidate here.

If the 2nd one is actually the proposed "development" branch (see https://github.com/SoftEtherVPN/SoftEtherVPN/issues/268 thread) then it should probably be net/softether-devel so the relationship is clear.
Comment 8 Kurt Jaeger freebsd_committer 2016-12-18 16:38:32 UTC
Yes, they are duplicates. When hrs@ committed the second version, he said he's going to merge both -- which is still pending.
Comment 9 net 2017-02-25 23:12:44 UTC
Created attachment 180304 [details]
svnlite diff

Hello,

attached is the diff that should catch everything this time. Meanwhile also tested under FreeBSD 11
Comment 10 Kurt Jaeger freebsd_committer 2017-02-26 16:37:40 UTC
If I apply the patch using svn patch, the port fails in make patch. Any ideas ?
Comment 11 net 2017-02-27 14:57:05 UTC
Created attachment 180342 [details]
svn diff

Yes, it looks like in my test jail I used there was something very very wrong so svn / svnlite were not able to catch up most of the changes.
This has been corrected and finally svn was able to catch up everything for the required diff.
Comment 12 Kurt Jaeger freebsd_committer 2017-02-27 19:59:08 UTC
testbuilds@work
Comment 13 Kurt Jaeger freebsd_committer 2017-02-27 20:57:01 UTC
Committed, thanks!
Comment 14 commit-hook freebsd_committer 2017-02-27 20:57:08 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 27 20:56:33 UTC 2017
New revision: 434989
URL: https://svnweb.freebsd.org/changeset/ports/434989

Log:
  security/softether: update 4.18.9570 -> 4.20.9608

  PR:		209195
  Submitted by:	net@arrishq.net (maintainer)
  Changes:	http://www.softether.org/5-download/history

Changes:
  head/security/softether/Makefile
  head/security/softether/distinfo
  head/security/softether/files/patch-src__Cedar__Cedar.h
  head/security/softether/files/patch-src__Cedar__Client.h
  head/security/softether/files/patch-src__Cedar__Nat.h
  head/security/softether/files/patch-src__Cedar__Server.c
  head/security/softether/files/patch-src__Mayaqua__Cfg.c
  head/security/softether/files/patch-src__Mayaqua__Cfg.h
  head/security/softether/files/patch-src__Mayaqua__Kernel.c
  head/security/softether/files/patch-src__Mayaqua__Network.c
  head/security/softether/files/patch-src__Mayaqua__Table.h
  head/security/softether/files/patch-src__Mayaqua__Unix.c
  head/security/softether/pkg-message
  head/security/softether/pkg-plist
Comment 15 net 2017-02-27 22:57:33 UTC
Bit late but yes - the version here is the RTM version, while the other one is the beta version.
Maybe some kind of softether-devel port might be the better place for beta versions.
Comment 16 Kurt Jaeger freebsd_committer 2017-03-12 19:53:21 UTC
See 

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217732                        

for the move to a softether-devel.